Skip to main content
GET
/
user
Get authenticated user
curl --request GET \
  --url https://console.wenium.com/api/user \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "name": "John Doe",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "phone": "+1234567890",
  "company_name": "Acme Corp",
  "currency": "USD",
  "country": "US",
  "status": "active",
  "created_at": "2026-07-03T00:00:00.000000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

User profile

id
integer
Example:

1

name
string
Example:

"John Doe"

first_name
string | null
Example:

"John"

last_name
string | null
Example:

"Doe"

email
string<email>
Example:

"john@example.com"

phone
string | null
Example:

"+1234567890"

company_name
string | null
Example:

"Acme Corp"

currency
string | null
Example:

"USD"

country
string | null
Example:

"US"

status
enum<string>
Available options:
active,
inactive,
suspended
Example:

"active"

created_at
string<date-time>
Example:

"2026-07-03T00:00:00.000000Z"